Index: users/templates/user.login.html
===================================================================
--- users/templates/user.login.html	(revision 96748586f6e3620dcaf542bea5fc67831d88340a)
+++ users/templates/user.login.html	(revision e26ee4774c247aa882294d4a435e914e9cb2a261)
@@ -40,8 +40,8 @@
               <div class="form-group has-feedback {% if form.captcha.errors %}has-error{% endif %}">
                 {{form.captcha}}
-                {% include 'base.forms.errors.html' with form_errors=form.captcha.errors col_title_error='col-sm-2' col_msg_error='col-sm-10' %}
                 <a onclick="refresh_captcha(this);" style="cursor: pointer">
                   <span class="glyphicon glyphicon-refresh" data-toggle="tooltip" title="Presione para recargar la imagen del captcha"></span>
                 </a>
+                {% include 'base.forms.errors.html' with form_errors=form.captcha.errors col_title_error='col-sm-2' col_msg_error='col-sm-10' %}
               </div>
             </div>
Index: users/templates/user.register.html
===================================================================
--- users/templates/user.register.html	(revision 0b2127cd8a02af0fa56bb808b9d77865098b6713)
+++ users/templates/user.register.html	(revision e26ee4774c247aa882294d4a435e914e9cb2a261)
@@ -213,8 +213,8 @@
           <div class="col-md-6 col-xs-6 col-sm-6">
             {{form.captcha}}
-            {% include 'base.forms.errors.html' with form_errors=form.captcha.errors col_title_error='col-sm-2' col_msg_error='col-sm-10' %}
             <a onclick="refresh_captcha(this);" style="cursor: pointer">
               <span class="glyphicon glyphicon-refresh" data-toggle="tooltip" title="Presione para recargar la imagen del captcha"></span>
             </a>
+            {% include 'base.forms.errors.html' with form_errors=form.captcha.errors col_title_error='col-sm-2' col_msg_error='col-sm-10' %}
           </div>
         </div>
Index: users/views.py
===================================================================
--- users/views.py	(revision 0b2127cd8a02af0fa56bb808b9d77865098b6713)
+++ users/views.py	(revision e26ee4774c247aa882294d4a435e914e9cb2a261)
@@ -180,27 +180,23 @@
         @param args <b>{object}</b> Objeto que contiene los argumentos
         @param kwargs <b>{object}</b> Objeto que contiene los datos de contexto
-        @return: Direcciona al 403 si no es su perfil
-        """
-        #if int(self.request.user.id) != int(self.kwargs['pk']):
-        #   return redirect('base_403')
+        @return Direcciona al 403 si no es su perfil
+        """
+        if int(self.request.user.id) != int(self.kwargs['pk']):
+           return redirect('base_403')
         return super(PerfilUpdate, self).dispatch(request, *args, **kwargs)
     
-    def get_context_data(self, **kwargs):
-        """!
-        Metodo para cargar/obtener valores en el contexto de la vista
-    
-        @author Rodrigo Boet (rboet at cenditel.gob.ve)
-        @copyright GNU/GPLv2
-        @date 28-03-2017
-        @param self <b>{object}</b> Objeto que instancia la clase
-        @param kwargs <b>{object}</b> Objeto que contiene los datos de contexto
-        @return Retorna los datos de contexto
-        """
-        print(self.kwargs)
-        #kwargs['pk'] = self.kwargs['pk']
-        #procesamiento = Procesamiento.objects.filter(consulta_id=kwargs['pk'])
-        #if(procesamiento):
-        #    kwargs['procesamiento'] = True
-        return super(PerfilUpdate, self).get_context_data(**kwargs)
+    def get_object(self, queryset=None):
+        """
+        Metodo para obtener el objeto de la consulta
+    
+        @author Rodrigo Boet (rboet at cenditel.gob.ve)
+        @copyright GNU/GPLv2
+        @date 24-05-2017
+        @param self <b>{object}</b> Objeto que instancia la clase
+        @param queryset <b>{object}</b> Objeto que contiene una consulta
+        @return El objeto del perfil
+        """
+        obj = Perfil.objects.get(user_id=self.kwargs['pk'])
+        return obj
     
     def get_success_url(self):
@@ -228,6 +224,5 @@
         """
         initial = super(PerfilUpdate, self).get_initial()
-        perfil = Perfil.objects.get(pk=self.kwargs['pk'])
-        print perfil.__dict__
+        perfil = Perfil.objects.get(user_id=self.kwargs['pk'])
         initial['parroquia'] = perfil.parroquia_id
         initial['municipio'] = perfil.parroquia.municipio_id
